Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class TaskService

    java.lang.Object
      org.jbpm.task.service.TaskPersistenceManagerAccessor
          org.jbpm.task.service.TaskService

    public class TaskService

extends TaskPersistenceManagerAccessor

Nested Class Summary
`static class` | `TaskService.ScheduledTaskDeadline`

Constructor Summary
`TaskService(javax.persistence.EntityManagerFactory emf, SystemEventListener systemEventListener)`
`TaskService(javax.persistence.EntityManagerFactory emf, SystemEventListener systemEventListener, EscalatedDeadlineHandler escalationHandler)`

Method Summary
`void` | `addEventListener(TaskEventListener listener)`
`TaskServiceSession` | `createSession()`
`static Object` | `eval(Reader reader)`
`static Object` | `eval(Reader reader, Map vars)`
`static Object` | `eval(String str, Map vars)`
`void` | `executeEscalatedDeadline(long taskId, long deadlineId)`
`List<OperationCommand>` | `getCommandsForOperation(Operation operation)`
`EventKeys` | `getEventKeys()`
`TaskEventSupport` | `getEventSupport()`
`static Map<String,Class>` | `getInputs()`
`Map<Operation,List<OperationCommand>>` | `getOperations()`
`UserInfo` | `getUserinfo()`
`List<TaskEventListener>` | `getWorkingMemoryEventListeners()`
`void` | `removeEventListener(TaskEventListener listener)`
`void` | `schedule(TaskService.ScheduledTaskDeadline deadline, long delay)`
`void` | `setEscalatedDeadlineHandler(EscalatedDeadlineHandler escalatedDeadlineHandler)`
`void` | `setUserinfo(UserInfo userInfo)`
`static String` | `toString(Reader reader)`

Methods inherited from class org.jbpm.task.service.TaskPersistenceManagerAccessor
`getTaskPersistenceManagerFactory, setTaskPersistenceManagerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskService

    public TaskService(javax.persistence.EntityManagerFactory emf,
                       SystemEventListener systemEventListener)

### TaskService

    public TaskService(javax.persistence.EntityManagerFactory emf,
                       SystemEventListener systemEventListener,
                       EscalatedDeadlineHandler escalationHandler)

Method Detail

### createSession

    public TaskServiceSession createSession()

### schedule

    public void schedule(TaskService.ScheduledTaskDeadline deadline,
                         long delay)

### getOperations

    public Map<Operation,List<OperationCommand>> getOperations()

### getCommandsForOperation

    public List<OperationCommand> getCommandsForOperation(Operation operation)

### getEventKeys

    public EventKeys getEventKeys()

### addEventListener

    public void addEventListener(TaskEventListener listener)

### removeEventListener

    public void removeEventListener(TaskEventListener listener)

### getWorkingMemoryEventListeners

    public List<TaskEventListener> getWorkingMemoryEventListeners()

### getEventSupport

    public TaskEventSupport getEventSupport()

### getUserinfo

    public UserInfo getUserinfo()

### setUserinfo

    public void setUserinfo(UserInfo userInfo)

### setEscalatedDeadlineHandler

    public void setEscalatedDeadlineHandler(EscalatedDeadlineHandler escalatedDeadlineHandler)

### executeEscalatedDeadline

    public void executeEscalatedDeadline(long taskId,
                                         long deadlineId)

### toString

    public static String toString(Reader reader)
                           throws IOException

  Throws:
    `IOException`

### getInputs

    public static Map<String,Class> getInputs()

### eval

    public static Object eval(Reader reader)

### eval

    public static Object eval(Reader reader,
                              Map vars)

### eval

    public static Object eval(String str,
                              Map vars)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.